/etc/init.d/arched is in nordugrid-arc-hed 5.3.0~rc1-1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 | #!/bin/bash
#
# chkconfig: 2345 87 13
# description: ARC HED service
# processname: arched
### BEGIN INIT INFO
# Provides: arched
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: ARC HED service
# Description: ARC's Hosting Environment Deamon
### END INIT INFO
# source function library
if [ -f /etc/init.d/functions ]; then
. /etc/init.d/functions
log_success_msg() {
echo -n "$@"
success "$@"
echo
}
log_warning_msg() {
echo -n "$@"
warning "$@"
echo
}
log_failure_msg() {
echo -n "$@"
failure "$@"
echo
}
elif [ -f /lib/lsb/init-functions ]; then
. /lib/lsb/init-functions
else
echo "Error: Cannot source neither init.d nor lsb functions"
exit 1
fi
prog=arched
RUN=yes
OPTIONS=""
# sysconfig files
if [ -r /etc/sysconfig/nordugrid ]; then
. /etc/sysconfig/nordugrid
elif [ -r /etc/default/nordugrid ]; then
. /etc/default/nordugrid
fi
if [ -r /etc/sysconfig/${prog} ]; then
. /etc/sysconfig/${prog}
elif [ -r /etc/default/${prog} ]; then
. /etc/default/${prog}
fi
if [ "x$ARC_CONFIG" != "x" ]; then
OPTIONS="-c $ARC_CONFIG"
fi
# ARC_LOCATION
ARC_LOCATION=${ARC_LOCATION:-/usr}
if [ ! -d "$ARC_LOCATION" ]; then
log_failure_msg "ARC_LOCATION ($ARC_LOCATION) not found"
exit 1
fi
export ARC_LOCATION
if [ `id -u` = 0 ] ; then
# Debian does not have /var/lock/subsys
if [ -d /var/lock/subsys ]; then
LOCKFILE=/var/lock/subsys/$prog
else
LOCKFILE=/var/lock/$prog
fi
if [ "x$PID_FILE" = "x" ]; then
PID_FILE=/var/run/$prog.pid
fi
else
LOCKFILE=$HOME/$prog.lock
if [ "x$PID_FILE" = "x" ]; then
PID_FILE=$HOME/$prog.pid
fi
fi
RETVAL=0
start() {
if [ "$RUN" != "yes" ] ; then
echo "$prog disabled in configuration"
return 0
fi
echo -n "Starting $prog: "
# Check if we are already running
if [ -f $PID_FILE ]; then
read pid < $PID_FILE
if [ "x$pid" != "x" ]; then
ps -p "$pid" -o comm 2>/dev/null | grep "^$prog$" 1>/dev/null 2>/dev/null
if [ $? -eq 0 ] ; then
log_success_msg "already running (pid $pid)"
return 0
fi
fi
rm -f "$PID_FILE" "$LOCKFILE"
fi
CMD="$ARC_LOCATION/sbin/$prog"
if [ ! -x "$CMD" ]; then
log_failure_msg "Missing executable"
exit 1
fi
eval $CMD $OPTIONS
RETVAL=$?
if [ $RETVAL -eq 0 ]; then
touch $LOCKFILE
log_success_msg
else
log_failure_msg
fi
return $RETVAL
}
stop() {
echo -n "Stopping $prog: "
if [ -f "$PID_FILE" ]; then
read pid < "$PID_FILE"
if [ ! -z "$pid" ] ; then
kill "$pid"
RETVAL=$?
if [ $RETVAL -eq 0 ]; then
log_success_msg
else
log_failure_msg
fi
sleep 1
kill -9 "$pid" 1>/dev/null 2>&1
rm -f "$PID_FILE" "$LOCKFILE"
else
RETVAL=1
log_failure_msg "$prog shutdown - pidfile is empty"
fi
else
RETVAL=0
log_success_msg "$prog shutdown - already stopped"
fi
return $RETVAL
}
status() {
if [ -f "$PID_FILE" ]; then
read pid < "$PID_FILE"
if [ "$pid" != "" ]; then
if ps -p "$pid" > /dev/null; then
echo "$1 (pid $pid) is running..."
return 0
fi
echo "$1 stopped but pid file exists"
return 1
fi
fi
if [ -f $LOCKFILE ]; then
echo "$1 stopped but lockfile exist"
return 2
fi
echo "$1 is stopped"
return 3
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
status)
status
;;
restart | force-reload)
restart
;;
reload)
;;
condrestart | try-restart)
[ -f $LOCKFILE ] && restart || :
;;
*)
echo "Usage: $0 {start|stop|status|restart|force-reload|reload|condrestart|try-restart}"
exit 1
;;
esac
exit $?
|